"""
执行时需要继承Testunner这个类
不允许重载__init__函数
"""
from base.case_runner import TestRunner
from base.case_runner import py_driver
from base import loginfo
from data.template_casedata import *
from base.setting import setting

@py_driver(api_case=API, scene_case=SCENE)
class GQTest(TestRunner):

    def before_parameter(self, case, mid_res):


        if case.name == 'make_user':
            self.create_initialization(case, mid_res)
        if case.name == 'make_user_read':
            self.create_initialization(case, mid_res)



    # 初始化数据使用
    def create_initialization(self,case, mid_res):
        name = setting.user_name['user_name']
        xid = setting.user_name['name_xid']

        case.request_data['selectedRows'][0]['currentData']['username'] = name
        case.request_data['selectedRows'][0]['currentData']['user_xid'] = xid






    def after_parameter(self, case, mid_res):


        loginfo.debug('\033[32m用例执行后数据处理 {}\033[0m'.format(case.actual))


if __name__ == '__main__':
    GQTest().run_test()
    # a = read_data('./data.txt')
    # print(a)