"""
支持用例编写的另一种方式--相较于excel,使用py文件编写用例,可用python相关的一些方法来制造数据,更加灵活
"""
import random
from base.setting import setting
whid =setting.warehouse_rule['warehouse_name']
ruleid = whid + '预分配规则'
# 接口用例合集
API = [
    {'name': 'auto', 'priority': '1',
     'api_address': 'api/query/warehouse_auto_q/auto',
     'save_field': 'id=$.data.datas[?(@.name=="{}")].id'.format(whid), 'method': 'post',
     'request_data': 'F=auto.json', 'expected': {"messageType": "success"},
     'assert_method': 'include_json'},
    {'name': 'batch_rule', 'priority': '1',
     'api_address': 'api/query/rule_lot_q/action/commonSave',
     'save_field': '', 'method': 'post',
     'request_data': 'F=batch_rule.json', 'expected': {"messageType": "success"},
     'assert_method': 'include_json'},
    {'name': 'mixing_rule', 'priority': '1',
     'api_address': 'api/query/rule_mix_storage_q/action/commonSave',
     'save_field': '', 'method': 'post',
     'request_data': 'F=mixing_rule.json', 'expected': {"messageType": "success"},
     'assert_method': 'include_json'},
    {'name': 'receiving_verification_rule', 'priority': '1',
     'api_address': 'api/query/rule_in_validation_q/action/commonSave',
     'save_field': '', 'method': 'post',
     'request_data': 'F=receiving_verification_rule.json', 'expected': {"messageType": "success"},
     'assert_method': 'include_json'},
    {'name': 'turnover_rule', 'priority': '1',
     'api_address': 'api/query/rule_rotate_q/action/commonSave',
     'save_field': 'turnover_rule_id=$.data.header.id', 'method': 'post',
     'request_data': 'F=turnover_rule.json', 'expected': {"messageType": "success"},
     'assert_method': 'include_json'},
    {'name': 'listing_rule', 'priority': '1',
     'api_address': 'api/query/rule_putaway_q/action/commonSave',
     'save_field': 'listing_rule_id=$.data.header.id', 'method': 'post',
     'request_data': 'F=listing_rule.json', 'expected': {"messageType": "success"},
     'assert_method': 'include_json'},
    {'name': 'listing_rule_s', 'priority': '1',
     'api_address': 'api/query/rule_putaway_q/action/commonSave',
     'save_field': '', 'method': 'post',
     'request_data': 'F=listing_rule.json', 'expected': {"messageType": "success"},
     'assert_method': 'include_json'},
    {'name': 'pre_allocation_rule', 'priority': '1',
     'api_address': 'api/query/rule_preallocate_q/action/commonSave',
     'save_field': 'pre_allocation_id=$.data.header.id', 'method': 'post',
     'request_data': 'F=pre_allocation_rule.json', 'expected': {"messageType": "success"},
     'assert_method': 'include_json'},
    {'name': 'allocation_rule', 'priority': '1',
     'api_address': 'api/query/rule_allocate_q/action/commonSave',
     'save_field': '', 'method': 'post',
     'request_data': 'F=allocation_rule.json', 'expected': {"messageType": "success"},
     'assert_method': 'include_json'},
    {'name': 'cutbox_rule', 'priority': '1',
     'api_address': 'api/query/rule_cutbox_q/action/commonSave',
     'save_field': '', 'method': 'post',
     'request_data': 'F=cutbox_rule.json', 'expected': {"messageType": "success"},
     'assert_method': 'include_json'},
    {'name': 'wave_rule', 'priority': '1',
     'api_address': 'api/query/rule_wave_q/action/commonSave',
     'save_field': '', 'method': 'post',
     'request_data': 'F=wave_rule.json', 'expected': {"messageType": "success"},
     'assert_method': 'include_json'},
    {'name': 'pick_order_rule', 'priority': '1',
     'api_address': 'api/query/rule_pick_order_q/action/commonSave',
     'save_field': '', 'method': 'post',
     'request_data': 'F=pick_order_rule.json', 'expected': {"messageType": "success"},
     'assert_method': 'include_json'},
    {'name': 'out_validation_rule', 'priority': '1',
     'api_address': 'api/query/rule_out_validation_q/action/commonSave',
     'save_field': '', 'method': 'post',
     'request_data': 'F=out_validation_rule.json', 'expected': {"messageType": "success"},
     'assert_method': 'include_json'},
    {'name': 'make_kuwei', 'priority': '1',
     'api_address': 'api/query/w_location/action/commonSave',
     'save_field': '', 'method': 'post',
     'request_data': 'F=make_kuwei.json', 'expected': {"messageType": "success"},
     'assert_method': 'include_json'},
]



# 场景用例
SCENE = [{'name': 'make_kuwei',
          'scene_case': ['make_kuwei'], 'priority': '', 'is_run': '1', 'case_pass': ''},

         ]
#[i['name'] for i in API]
if __name__ == '__main__':
    print('re_allocation_id=$.data.header[?(@.name=="{}")].id'.format(ruleid))