"""
支持用例编写的另一种方式--相较于excel,使用py文件编写用例,可用python相关的一些方法来制造数据,更加灵活
"""
import random
from base.setting import setting
whid =setting.warehouse_rule['warehouse_name']
ruleid = whid + '预分配规则'
# 接口用例合集
API = [
    {'name': 'make_kuwei', 'priority': '1',
     'api_address': 'api/query/w_location/action/commonSave',
     'save_field': '', 'method': 'post',
     'request_data': 'F=make_kuwei1.json', 'expected': {"messageType": "success"},
     'assert_method': 'include_json'},
    {'name': 'make_user', 'priority': '1',
     'api_address': 'api/query/userQuery/action/userPageAccountDataSet',
     'save_field': '', 'method': 'post',
     'request_data': 'F=make_user.json', 'expected': {"messageType": "success"},
     'assert_method': 'include_json'},
    {'name': 'make_user2', 'priority': '1',
     'api_address': 'api/query/staff/action/commonSave',
     'save_field': '', 'method': 'post',
     'request_data': 'F=make_user2.json', 'expected': {"messageType": "success"},
     'assert_method': 'include_json'},
]



# 场景用例
SCENE = [{'name': [i['name'] for i in API],
          'scene_case': ['make_kuwei','make_kuwei','make_kuwei','make_kuwei','make_kuwei','make_kuwei','make_kuwei','make_kuwei'], 'priority': '', 'is_run': '1', 'case_pass': ''},

         ]
#[i['name'] for i in API]
if __name__ == '__main__':
    print('re_allocation_id=$.data.header[?(@.name=="{}")].id'.format(ruleid))