"""
执行时需要继承Testunner这个类
不允许重载__init__函数
"""
from base.case_runner import TestRunner
from base.case_runner import excel_driver
from base import loginfo


@excel_driver('../data/template_testcase.xlsx')
class GQTest(TestRunner):

    # 重写用例执行前的方法
    def before_parameter(self, case, mid_res):
        """
            case--用例对象，可以通过case.name,或者request_data等这里的属性与excel中的属性保持一致
        """
        import time
        time.sleep(20)
        loginfo.debug('\033[32m测试用例执行前的处理\033[0m')

    def after_parameter(self, case):
        loginfo.debug('\033[32m用例执行后数据处理 {}\033[0m'.format(case.actual))


if __name__ == '__main__':
    GQTest().run_test()
